name: shared_preferences_example
description: Demonstrates how to use the shared_preferences plugin.
publish_to: none

environment:
  sdk: ^3.5.0
  flutter: ">=3.24.0"

dependencies:
  flutter:
    sdk: flutter
  shared_preferences:
    # When depending on this package from a real application you should use:
    #   shared_preferences: ^x.y.z
    # See https://dart.dev/tools/pub/dependencies#version-constraints
    # The example app is bundled with the plugin so we use a path dependency on
    # the parent directory to use the current plugin's version.
    path: ../
  shared_preferences_android: ^2.4.0
  shared_preferences_foundation: ^2.5.3
  shared_preferences_linux: ^2.4.1
  shared_preferences_platform_interface: ^2.4.0
  shared_preferences_windows: ^2.4.1

dev_dependencies:
  build_runner: ^2.1.10
  flutter_test:
    sdk: flutter
  integration_test:
    sdk: flutter

flutter:
  uses-material-design: true
